Ruby: RVALUE Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
RVALUE Struct Reference

## Data Fields
union {
struct {
VALUE flags
struct RVALUE * next
} free
struct RMoved moved
struct RBasic basic
struct RObject object
struct RClass klass
struct RFloat flonum
struct RString string
struct RArray array
struct RRegexp regexp
struct RHash hash
struct RData data
struct RTypedData typeddata
struct RStruct rstruct
struct RBignum bignum
struct RFile file
struct RMatch match
struct RRational rational
struct RComplex complex
union {
rb_cref_t cref
struct vm_svar svar
struct vm_throw_data throw_data
struct vm_ifunc ifunc
struct MEMO memo
struct rb_method_entry_struct ment
const rb_iseq_t iseq
rb_env_t env
struct rb_imemo_tmpbuf_struct alloc
rb_ast_t ast
} imemo
struct {
struct RBasic basic
VALUE v1
VALUE v2
VALUE v3
} values
} | as
VALUE | klass

## Detailed Description

Definition at line 557 of file gc.c.

## Field Documentation

## ◆ alloc

struct rb_imemo_tmpbuf_struct RVALUE::alloc

Definition at line 589 of file gc.c.

## ◆ array

struct RArray RVALUE::array

Definition at line 569 of file gc.c.

## ◆

union { ... } RVALUE::as

Referenced by rb_gc_ractor_newobj_cache_clear(), and rb_objspace_call_finalizer().

## ◆ ast

rb_ast_t RVALUE::ast

Definition at line 590 of file gc.c.

## ◆ basic

struct RBasic RVALUE::basic

Definition at line 564 of file gc.c.

## ◆ bignum

struct RBignum RVALUE::bignum

Definition at line 575 of file gc.c.

## ◆ complex

struct RComplex RVALUE::complex

Definition at line 579 of file gc.c.

## ◆ cref

rb_cref_t RVALUE::cref

Definition at line 581 of file gc.c.

## ◆ data

struct RData RVALUE::data

Definition at line 572 of file gc.c.

## ◆ env

rb_env_t RVALUE::env

Definition at line 588 of file gc.c.

## ◆ file

struct RFile RVALUE::file

Definition at line 576 of file gc.c.

## ◆ flags

VALUE RVALUE::flags

Definition at line 560 of file gc.c.

Referenced by rb_objspace_call_finalizer().

## ◆ flonum

struct RFloat RVALUE::flonum

Definition at line 567 of file gc.c.

## ◆

struct { ... } RVALUE::free

Referenced by rb_gc_ractor_newobj_cache_clear(), and rb_objspace_call_finalizer().

## ◆ hash

struct RHash RVALUE::hash

Definition at line 571 of file gc.c.

## ◆ ifunc

struct vm_ifunc RVALUE::ifunc

Definition at line 584 of file gc.c.

## ◆

union { ... } RVALUE::imemo

## ◆ iseq

const rb_iseq_t RVALUE::iseq

Definition at line 587 of file gc.c.

## ◆ klass [1/2]

struct RClass RVALUE::klass

Definition at line 566 of file gc.c.

## ◆ klass [2/2]

VALUE RVALUE::klass

Definition at line 2897 of file ractor.c.

## ◆ match

struct RMatch RVALUE::match

Definition at line 577 of file gc.c.

## ◆ memo

struct MEMO RVALUE::memo

Definition at line 585 of file gc.c.

## ◆ ment

struct rb_method_entry_struct RVALUE::ment

Definition at line 586 of file gc.c.

## ◆ moved

struct RMoved RVALUE::moved

Definition at line 563 of file gc.c.

## ◆ next

struct RVALUE* RVALUE::next

Definition at line 561 of file gc.c.

Referenced by rb_gc_ractor_newobj_cache_clear().

## ◆ object

struct RObject RVALUE::object

Definition at line 565 of file gc.c.

## ◆ rational

struct RRational RVALUE::rational

Definition at line 578 of file gc.c.

## ◆ regexp

struct RRegexp RVALUE::regexp

Definition at line 570 of file gc.c.

## ◆ rstruct

struct RStruct RVALUE::rstruct

Definition at line 574 of file gc.c.

## ◆ string

struct RString RVALUE::string

Definition at line 568 of file gc.c.

## ◆ svar

struct vm_svar RVALUE::svar

Definition at line 582 of file gc.c.

## ◆ throw_data

struct vm_throw_data RVALUE::throw_data

Definition at line 583 of file gc.c.

## ◆ typeddata

struct RTypedData RVALUE::typeddata

Definition at line 573 of file gc.c.

## ◆ v1

VALUE RVALUE::v1

Definition at line 594 of file gc.c.

## ◆ v2

VALUE RVALUE::v2

Definition at line 595 of file gc.c.

## ◆ v3

VALUE RVALUE::v3

Definition at line 596 of file gc.c.

## ◆

struct { ... } RVALUE::values

The documentation for this struct was generated from the following files:

- gc.c
- ractor.c